Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.ha
Interface HAILSharedStateMBean

All Superinterfaces:
  HAServiceMBean, javax.management.NotificationBroadcaster, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  HAILSharedState

public interface HAILSharedStateMBean
extends HAServiceMBean

Author:
  Ivelin Ivanov

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`InetAddress` | `getServerAddress()` Get the address of the singleton UIL Server host (which connects to the current JMS Server)
`Integer` | `getServerPort()` Get the address of the singleton UIL Server host (which connects to the current JMS Server)
`void` | `setServerAddress(InetAddress address)` Set the address of the singleton UIL Server host (which connects to the current JMS Server)
`void` | `setServerPort(Integer port)` Set the address of the singleton UIL Server host (which connects to the current JMS Server)

Methods inherited from interface org.jboss.ha.jmx.HAServiceMBean
`callMethodOnPartition, getDistributedState, getPartitionName, sendNotification, setDistributedState, setPartitionName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getServerAddress

    public InetAddress getServerAddress()

  Get the address of the singleton UIL Server host (which connects to the current JMS Server)

### setServerAddress

    public void setServerAddress(InetAddress address)
                          throws Exception

  Set the address of the singleton UIL Server host (which connects to the current JMS Server)

  Throws:
    `Exception`

### getServerPort

    public Integer getServerPort()

  Get the address of the singleton UIL Server host (which connects to the current JMS Server)

### setServerPort

    public void setServerPort(Integer port)
                       throws Exception

  Set the address of the singleton UIL Server host (which connects to the current JMS Server)

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.